%global srcname templated-dictionary

Summary:        Dictionary with Jinja2 expansion
Name:           python-%{srcname}
Version:        1.2
Release:        4%{?dist}
License:        GPLv2+
URL:            https://github.com/xsuchy/templated-dictionary

# To get the tarball run:
# git clone https://github.com/xsuchy/templated-dictionary
# cd templated-dictionary
# tito build --tgz
Source0:        %{name}-%{version}.tar.gz

Patch0001:      backport-CVE-2023-6395-0001-Use-a-sandboxed-jinja2-environment.patch
Patch0002:      backport-CVE-2023-6395-0002-Make-the-TemplatedDictionary-objects-picklable.patch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-jinja2

BuildArch:      noarch

%description
This package provides Jinja2 template.

%package -n     python3-%{srcname}
Summary:        Dictionary with Jinja2 expansion
Provides:       python-templated-dictionary = %{version}-%{release}
Provides:       python%{python3_pkgversion}-templated-dictionary = %{version}-%{release}
Provides:       python%{python3_version}-templated-dictionary = %{version}-%{release}

%description -n python3-%{srcname}
This package provides Jinja2 template.

%prep
%autosetup -n %{name}-%{version} -p1

%build
version="%{version}" %py3_build

%install
version=%{version} %py3_install


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/templated_dictionary-*.egg-info/
%{python3_sitelib}/templated_dictionary/


%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.2-4
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-3
- Rebuilt for loongarch release

* Tue Mar 5 2024 Shuo Wang <abushwang@tencent.com> - 1.2-2
- backport patch to fix CVE-2023-6395
- avoid potentially exploit privilege escalation

* Fri Sep 22 2023 Shuo Wang <abushwang@tencent.com> - 1.2-1
- update to 1.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Oct 26 2022 Shuo Wang <abushwang@tencent.com> - 1.1-1
- initial build

